package com.fms.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fms.common.annotation.Excel;
import com.fms.common.core.domain.BaseEntity;

/**
 * 故障记录对象 failure_t
 * 
 * @author Allen
 * @date 2024-05-14
 */
public class Failure extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** ZQ */
    @Excel(name = "ZQ")
    private String zq;

    /** J/JD/XY */
    @Excel(name = "J/JD/XY")
    private String jjdJxy;

    /** S */
    @Excel(name = "S")
    private String s;

    /** LT */
    @Excel(name = "LT")
    private String bdlt;

    /** 故障日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "故障日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date failureDate;

    /** 机型 */
    @Excel(name = "机型")
    private String aircraftType;

    /** 发现时机 */
    @Excel(name = "发现时机")
    private String discoveryTime;

    /** 专业 */
    @Excel(name = "专业")
    private String major;

    /** 故障描述 */
    @Excel(name = "故障描述")
    private String failureDescription;

    /** 故障原因 */
    @Excel(name = "故障原因")
    private String failureCause;

    /** 故障名称 */
    @Excel(name = "故障名称")
    private String failureName;

    /** 故障件名称 */
    @Excel(name = "故障件名称")
    private String unserviceableCompName;

    /** 故障件型别 */
    @Excel(name = "故障件型别")
    private String unserviceableCompType;

    /** 故障件号码 */
    @Excel(name = "故障件号码")
    private String unserviceableCompNum;

    /** 故障件所属系统 */
    @Excel(name = "故障件所属系统")
    private String unserviceableCompSystem;

    /** 故障后果 */
    @Excel(name = "故障后果")
    private String failureConsequence;

    /** 故障责任 */
    @Excel(name = "故障责任")
    private String failureDuty;

    /** 故换件名称 */
    @Excel(name = "故换件名称")
    private String replacementCompName;

    /** 故换件型别 */
    @Excel(name = "故换件型别")
    private String replacementCompType;

    /** 故换件号码 */
    @Excel(name = "故换件号码")
    private String replacementCompNum;

    /** 排除方法 */
    @Excel(name = "排除方法")
    private String eliminationMethods;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setZq(String zq) 
    {
        this.zq = zq;
    }

    public String getZq() 
    {
        return zq;
    }
    public void setJjdJxy(String jjdJxy)
    {
        this.jjdJxy = jjdJxy;
    }

    public String getJjdJxy()
    {
        return jjdJxy;
    }
    public void setS(String s) 
    {
        this.s = s;
    }

    public String getS() 
    {
        return s;
    }
    public void setBdlt(String bdlt) 
    {
        this.bdlt = bdlt;
    }

    public String getBdlt() 
    {
        return bdlt;
    }
    public void setFailureDate(Date failureDate) 
    {
        this.failureDate = failureDate;
    }

    public Date getFailureDate() 
    {
        return failureDate;
    }
    public void setAircraftType(String aircraftType) 
    {
        this.aircraftType = aircraftType;
    }

    public String getAircraftType() 
    {
        return aircraftType;
    }
    public void setDiscoveryTime(String discoveryTime) 
    {
        this.discoveryTime = discoveryTime;
    }

    public String getDiscoveryTime() 
    {
        return discoveryTime;
    }
    public void setMajor(String major) 
    {
        this.major = major;
    }

    public String getMajor() 
    {
        return major;
    }
    public void setFailureDescription(String failureDescription) 
    {
        this.failureDescription = failureDescription;
    }

    public String getFailureDescription() 
    {
        return failureDescription;
    }
    public void setFailureCause(String failureCause) 
    {
        this.failureCause = failureCause;
    }

    public String getFailureCause() 
    {
        return failureCause;
    }
    public void setFailureName(String failureName) 
    {
        this.failureName = failureName;
    }

    public String getFailureName() 
    {
        return failureName;
    }
    public void setUnserviceableCompName(String unserviceableCompName) 
    {
        this.unserviceableCompName = unserviceableCompName;
    }

    public String getUnserviceableCompName() 
    {
        return unserviceableCompName;
    }
    public void setUnserviceableCompType(String unserviceableCompType) 
    {
        this.unserviceableCompType = unserviceableCompType;
    }

    public String getUnserviceableCompType() 
    {
        return unserviceableCompType;
    }
    public void setUnserviceableCompNum(String unserviceableCompNum) 
    {
        this.unserviceableCompNum = unserviceableCompNum;
    }

    public String getUnserviceableCompNum() 
    {
        return unserviceableCompNum;
    }
    public void setUnserviceableCompSystem(String unserviceableCompSystem) 
    {
        this.unserviceableCompSystem = unserviceableCompSystem;
    }

    public String getUnserviceableCompSystem() 
    {
        return unserviceableCompSystem;
    }
    public void setFailureConsequence(String failureConsequence) 
    {
        this.failureConsequence = failureConsequence;
    }

    public String getFailureConsequence() 
    {
        return failureConsequence;
    }
    public void setFailureDuty(String failureDuty) 
    {
        this.failureDuty = failureDuty;
    }

    public String getFailureDuty() 
    {
        return failureDuty;
    }
    public void setReplacementCompName(String replacementCompName) 
    {
        this.replacementCompName = replacementCompName;
    }

    public String getReplacementCompName() 
    {
        return replacementCompName;
    }
    public void setReplacementCompType(String replacementCompType) 
    {
        this.replacementCompType = replacementCompType;
    }

    public String getReplacementCompType() 
    {
        return replacementCompType;
    }
    public void setReplacementCompNum(String replacementCompNum) 
    {
        this.replacementCompNum = replacementCompNum;
    }

    public String getReplacementCompNum() 
    {
        return replacementCompNum;
    }
    public void setEliminationMethods(String eliminationMethods) 
    {
        this.eliminationMethods = eliminationMethods;
    }

    public String getEliminationMethods() 
    {
        return eliminationMethods;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("zq", getZq())
            .append("jJdJxy", getJjdJxy())
            .append("s", getS())
            .append("bdlt", getBdlt())
            .append("failureDate", getFailureDate())
            .append("aircraftType", getAircraftType())
            .append("discoveryTime", getDiscoveryTime())
            .append("major", getMajor())
            .append("failureDescription", getFailureDescription())
            .append("failureCause", getFailureCause())
            .append("failureName", getFailureName())
            .append("unserviceableCompName", getUnserviceableCompName())
            .append("unserviceableCompType", getUnserviceableCompType())
            .append("unserviceableCompNum", getUnserviceableCompNum())
            .append("unserviceableCompSystem", getUnserviceableCompSystem())
            .append("failureConsequence", getFailureConsequence())
            .append("failureDuty", getFailureDuty())
            .append("replacementCompName", getReplacementCompName())
            .append("replacementCompType", getReplacementCompType())
            .append("replacementCompNum", getReplacementCompNum())
            .append("eliminationMethods", getEliminationMethods())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
